Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.io
Class ListInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--org.omg.CORBA.portable.InputStream
                  |
                  +--org.omg.CORBA_2_3.portable.InputStream
                        |
                        +--org.openorb.io.ListInputStream

All Implemented Interfaces:
  ExtendedInputStream

public class ListInputStream
extends InputStream
implements ExtendedInputStream

This implementation of org.omg.CORBA_2_3.portable.InputStream uses a list as it's backing store. All non primitive types are stored by reference.

Version:
  $Revision: 1.24 $ $Date: 2002/08/08 09:13:04 $
Author:
  Chris Wood

Constructor Summary
`ListInputStream(ORB orb, java.util.List source)` Create new list input stream.

Method Summary
`int` | `available()` This operation is not available as the stream does not deal with bytes.
`boolean` | `equals(java.lang.Object obj)` Compare this ListInputStream to another ListInputStream or ListOutputStream.
`java.lang.String` | `get_codebase()` Get codebase associated with stream.
`int` | `getSourceSize()`
`void` | `mark(int ign)` Mark the position for later resetting.
`boolean` | `markAvailable()` Returns true.
`ORB` | `orb()` Get the orb associated with the stream.
`java.lang.Object` | `read_abstract_interface()`
`java.lang.Object` | `read_abstract_interface(java.lang.Class clz)`
`Any` | `read_any()`
`void` | `read_boolean_array(boolean[] dest, int off, int len)` Read a boolean array.
`boolean` | `read_boolean()` Read a boolean value.
`void` | `read_char_array(char[] dest, int off, int len)`
`char` | `read_char()`
`Context` | `read_Context()`
`void` | `read_double_array(double[] dest, int off, int len)`
`double` | `read_double()`
`java.math.BigDecimal` | `read_fixed()`
`java.math.BigDecimal` | `read_fixed(short digits, short scale)` read a fixed.
`java.math.BigDecimal` | `read_fixed(TypeCode type)` read a fixed.
`void` | `read_float_array(float[] dest, int off, int len)`
`float` | `read_float()`
`void` | `read_long_array(int[] dest, int off, int len)`
`int` | `read_long()`
`void` | `read_longlong_array(long[] dest, int off, int len)`
`long` | `read_longlong()`
`Object` | `read_Object()`
`Object` | `read_Object(java.lang.Class clz)`
`void` | `read_octet_array(byte[] dest, int off, int len)`
`byte` | `read_octet()`
`Principal` | `read_Principal()` Deprecated. Deprecated by CORBA 2.2
`void` | `read_short_array(short[] dest, int off, int len)`
`short` | `read_short()`
`java.lang.String` | `read_string()`
`TypeCode` | `read_TypeCode()`
`void` | `read_ulong_array(int[] dest, int off, int len)`
`int` | `read_ulong()`
`void` | `read_ulonglong_array(long[] dest, int off, int len)`
`long` | `read_ulonglong()`
`void` | `read_ushort_array(short[] dest, int off, int len)`
`short` | `read_ushort()`
`java.io.Serializable` | `read_value()`
`java.io.Serializable` | `read_value(BoxedValueHelper factory)`
`java.io.Serializable` | `read_value(java.lang.Class clz)`
`java.io.Serializable` | `read_value(java.io.Serializable value)` This function has a nonstandard implementation, it copies the data from the contained valuetype into the given target.
`java.io.Serializable` | `read_value(java.lang.String rep_id)`
`void` | `read_wchar_array(char[] dest, int off, int len)`
`char` | `read_wchar()`
`java.lang.String` | `read_wstring()`
`void` | `reset()` Reset the position to one previously marked.
`int` | `skip()` This operation is not available as the stream does not deal with bytes.

Methods inherited from class org.omg.CORBA.portable.InputStream
`read`

Methods inherited from class java.io.InputStream
`close, markSupported, read, read, skip`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListInputStream

    public ListInputStream(ORB orb,
                           java.util.List source)

  Create new list input stream. This is normally called only by the ListOutputStream, since the contents of the list are specialized.
  Parameters:
    `orb` - the owning orb.
    `source` - data source.

Method Detail

### orb

    public ORB orb()

  Get the orb associated with the stream.
  Specified by:
    `orb` in interface `ExtendedInputStream`
  Overrides:
    `orb` in class `InputStream`

### get_codebase

    public java.lang.String get_codebase()

  Get codebase associated with stream. This will return the contents of any TAG_JAVA_CODEBASE service context when unmarshaling, or otherwise return null. Always returns null for list stream.
  Specified by:
    `get_codebase` in interface `ExtendedInputStream`

### getSourceSize

    public int getSourceSize()

### skip

    public int skip()

  This operation is not available as the stream does not deal with bytes.

### available

    public int available()

  This operation is not available as the stream does not deal with bytes.
  Overrides:
    `available` in class `java.io.InputStream`

### markAvailable

    public boolean markAvailable()

  Returns true.

### mark

    public void mark(int ign)

  Mark the position for later resetting.
  Overrides:
    `mark` in class `java.io.InputStream`
  Parameters:
    `ign` - ignored, stream does not deal with bytes.

### reset

    public void reset()

  Reset the position to one previously marked.
  Overrides:
    `reset` in class `java.io.InputStream`

### read_boolean

    public boolean read_boolean()

  Read a boolean value.
  Overrides:
    `read_boolean` in class `InputStream`

### read_boolean_array

    public void read_boolean_array(boolean[] dest,
                                   int off,
                                   int len)

  Read a boolean array.
  Overrides:
    `read_boolean_array` in class `InputStream`

### read_octet

    public byte read_octet()

  Overrides:
    `read_octet` in class `InputStream`

### read_octet_array

    public void read_octet_array(byte[] dest,
                                 int off,
                                 int len)

  Overrides:
    `read_octet_array` in class `InputStream`

### read_short

    public short read_short()

  Overrides:
    `read_short` in class `InputStream`

### read_short_array

    public void read_short_array(short[] dest,
                                 int off,
                                 int len)

  Overrides:
    `read_short_array` in class `InputStream`

### read_ushort

    public short read_ushort()

  Overrides:
    `read_ushort` in class `InputStream`

### read_ushort_array

    public void read_ushort_array(short[] dest,
                                  int off,
                                  int len)

  Overrides:
    `read_ushort_array` in class `InputStream`

### read_long

    public int read_long()

  Overrides:
    `read_long` in class `InputStream`

### read_long_array

    public void read_long_array(int[] dest,
                                int off,
                                int len)

  Overrides:
    `read_long_array` in class `InputStream`

### read_ulong

    public int read_ulong()

  Overrides:
    `read_ulong` in class `InputStream`

### read_ulong_array

    public void read_ulong_array(int[] dest,
                                 int off,
                                 int len)

  Overrides:
    `read_ulong_array` in class `InputStream`

### read_longlong

    public long read_longlong()

  Overrides:
    `read_longlong` in class `InputStream`

### read_longlong_array

    public void read_longlong_array(long[] dest,
                                    int off,
                                    int len)

  Overrides:
    `read_longlong_array` in class `InputStream`

### read_ulonglong

    public long read_ulonglong()

  Overrides:
    `read_ulonglong` in class `InputStream`

### read_ulonglong_array

    public void read_ulonglong_array(long[] dest,
                                     int off,
                                     int len)

  Overrides:
    `read_ulonglong_array` in class `InputStream`

### read_char

    public char read_char()

  Overrides:
    `read_char` in class `InputStream`

### read_char_array

    public void read_char_array(char[] dest,
                                int off,
                                int len)

  Overrides:
    `read_char_array` in class `InputStream`

### read_wchar

    public char read_wchar()

  Overrides:
    `read_wchar` in class `InputStream`

### read_wchar_array

    public void read_wchar_array(char[] dest,
                                 int off,
                                 int len)

  Overrides:
    `read_wchar_array` in class `InputStream`

### read_float

    public float read_float()

  Overrides:
    `read_float` in class `InputStream`

### read_float_array

    public void read_float_array(float[] dest,
                                 int off,
                                 int len)

  Overrides:
    `read_float_array` in class `InputStream`

### read_double

    public double read_double()

  Overrides:
    `read_double` in class `InputStream`

### read_double_array

    public void read_double_array(double[] dest,
                                  int off,
                                  int len)

  Overrides:
    `read_double_array` in class `InputStream`

### read_string

    public java.lang.String read_string()

  Overrides:
    `read_string` in class `InputStream`

### read_wstring

    public java.lang.String read_wstring()

  Overrides:
    `read_wstring` in class `InputStream`

### read_Object

    public Object read_Object()

  Overrides:
    `read_Object` in class `InputStream`

### read_Object

    public Object read_Object(java.lang.Class clz)

  Overrides:
    `read_Object` in class `InputStream`

### read_TypeCode

    public TypeCode read_TypeCode()

  Overrides:
    `read_TypeCode` in class `InputStream`

### read_any

    public Any read_any()

  Overrides:
    `read_any` in class `InputStream`

### read_Context

    public Context read_Context()

  Overrides:
    `read_Context` in class `InputStream`

### read_Principal

    public Principal read_Principal()

  Deprecated. Deprecated by CORBA 2.2

  Overrides:
    `read_Principal` in class `InputStream`

### read_fixed

    public java.math.BigDecimal read_fixed()

  Overrides:
    `read_fixed` in class `InputStream`

### read_fixed

    public java.math.BigDecimal read_fixed(TypeCode type)

  read a fixed.
  Specified by:
    `read_fixed` in interface `ExtendedInputStream`

### read_fixed

    public java.math.BigDecimal read_fixed(short digits,
                                           short scale)

  read a fixed.
  Specified by:
    `read_fixed` in interface `ExtendedInputStream`
  Overrides:
    `read_fixed` in class `InputStream`

### read_value

    public java.io.Serializable read_value()

  Overrides:
    `read_value` in class `InputStream`

### read_value

    public java.io.Serializable read_value(java.lang.String rep_id)

  Overrides:
    `read_value` in class `InputStream`

### read_value

    public java.io.Serializable read_value(java.lang.Class clz)

  Overrides:
    `read_value` in class `InputStream`

### read_value

    public java.io.Serializable read_value(BoxedValueHelper factory)

  Overrides:
    `read_value` in class `InputStream`

### read_value

    public java.io.Serializable read_value(java.io.Serializable value)

  This function has a nonstandard implementation, it copies the data from the contained valuetype into the given target. The CDR streams also have a similar function.
  Overrides:
    `read_value` in class `InputStream`

### read_abstract_interface

    public java.lang.Object read_abstract_interface()

  Overrides:
    `read_abstract_interface` in class `InputStream`

### read_abstract_interface

    public java.lang.Object read_abstract_interface(java.lang.Class clz)

  Overrides:
    `read_abstract_interface` in class `InputStream`

### equals

    public boolean equals(java.lang.Object obj)

  Compare this ListInputStream to another ListInputStream or ListOutputStream.
  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD